Investors, warrants & staking
Cancel Staking Request
Cancels the caller's own staking request if it is DRAFT, PENDING or APPROVED.
POSThttps://api.toku.com/tga/cancel-staking-request
Not available to API keys.
curl --request POST \
--url 'https://api.toku.com/tga/cancel-staking-request' \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '{
"stakingRequestID": "3fa85f64-5717-4562-b3fc-2c963f66afa6"
}'200 response
{
"stakingRequestID": "string",
"stakingConfigurationID": "string",
"roleInOrgID": "string",
"stakingAmount": "string",
"stakingBalance": "string",
"stakingStartDate": "string",
"stakingStatus": "DRAFT",
"createdAt": "string",
"grantID": "string",
"updatedAt": "string",
"stakingDistributionID": "string"
}Authorizations
AuthorizationstringheaderrequiredBearer authentication header of the form Bearer <token>, where <token> is an access token from a Toku sign-in. See Authentication in the API reference.
Body
application/json
stakingRequestIDstring<uuid>requiredResponse
200Successful response
stakingRequestIDstringrequiredstakingConfigurationIDstringrequiredroleInOrgIDstringrequiredstakingAmountstringrequiredAllowed: matches ^-?\d+(?:\.\d+)?(?:e[+-]?\d+)?$
stakingBalancestringrequiredAllowed: matches ^-?\d+(?:\.\d+)?(?:e[+-]?\d+)?$
stakingStartDatestringrequiredstakingStatusstringrequiredAvailable options: DRAFT, PENDING, APPROVED, REJECTED, CANCELLED, IN_STAKING, UNSTAKE_REQUEST_PLACED, STAKING_PERIOD_COMPLETED, COMPLETED
createdAtstringrequiredgrantIDstringrequiredupdatedAtstringrequiredstakingDistributionIDstring | nullrequired400Bad request
401Unauthorized
403Forbidden
404Not found
409Conflict
429Response 429
Was this page helpful? Suggest edits